--- src/fgconsole.c.orig	2008-03-24 17:38:54.000000000 +0100
+++ src/fgconsole.c	2009-01-25 17:17:22.000000000 +0100
@@ -6,6 +6,7 @@
 #include <sys/ioctl.h>
 #include <getopt.h>
 #include <linux/vt.h>
+#include <linux/types.h>
 #include <linux/serial.h>
 #include "getfd.h"
 #include "nls.h"
